xqf (1.0.6-5build3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 12 Jan 2026 17:48:41 +0000

xqf (1.0.6-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:43 +1100

xqf (1.0.6-5build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:17:45 +0000

xqf (1.0.6-5) unstable; urgency=medium

  * Adapt watch to github tag url changes.
  * Bump Standards-Version to 4.6.0, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Wed, 27 Apr 2022 21:04:07 +0200

xqf (1.0.6-4) unstable; urgency=medium

  * Build depend on missing libgdk-pixbuf-xlib-2.0-dev, which was previously
    being pulled in by libgtk2-0 (thanks smcv; closes: #975671).
  * Apply upstream patch to fix FTBFS with GCC-10 (closes: #957994).
  * Set upstream-branch and upstream-vcs-tag in gbp.conf to merge the
    upstream tree into the debian branch.
  * Bump debhelper-compat to v13.
  * Update Standards-Version to 4.5.1, with no changes needed.
  * Add some upstream metadata.
  * Fix override_dh_auto_install to delete usr/libexec instead of usr/lib.
  * Update watch file to version 4.

 -- Jordi Mallach <jordi@debian.org>  Thu, 26 Nov 2020 13:12:43 +0100

xqf (1.0.6-3) unstable; urgency=medium

  * Update Vcs-* fields after moving to Debian salsa.
  * Switch to debhelper v12 and use debhelper-compat B-D.
  * Set Rules-Requires-Root to no.
  * Update Standards-Version to 4.4.1.
  * Add gbp.conf and set pristine-tar to True.

 -- Jordi Mallach <jordi@debian.org>  Fri, 08 Nov 2019 19:46:40 +0100

xqf (1.0.6-2) unstable; urgency=medium

  * Update Vcs-* fields after migrating to Git.
  * Bump debhelper compat to v10.
  * Get rid of Debian menu and associated xpm icon.
  * Rewrite rules using dh sequencer. Drop Build-Depends on cdbs,
    dh-autoreconf and gettext.
  * Add add_scripts_c_to_potfiles.patch: add a missing source file to
    POTFILES.in.
  * Enable all hardening options.
  * Update Standards-Version to 3.9.8.
  * Update Homepage URL to github.io webpage.
  * Rewrite copyright in machine-readable format version 1.0.
  * Update watch file for github releases.

 -- Jordi Mallach <jordi@debian.org>  Sat, 14 Jan 2017 07:29:30 +0100

xqf (1.0.6-1) unstable; urgency=medium

  * New upstream release.
    + tremulous-based games should be supported (closes: #318440).
    + fix crash on screenshot dialog popup (closes: #391670).
  * Drop all patches, all are included upstream.
  * Stop installing game xpm, they are compiled in again.
  * Require qstat (>= 2.15).
  * Add qstat_savage_EXTRA_DIST: add qstat_savage.sh to sources and EXTRA_DIST.
  * Fix canonical form of Vcs-Svn.
  * Bump Standards-Version to 3.9.6.

 -- Jordi Mallach <jordi@debian.org>  Sun, 26 Oct 2014 15:08:55 +0100

xqf (1.0.5-3) unstable; urgency=low

  * Update to debhelper v9.
  * Move to dpkg source version 3.0 (quilt). Drop patchys-quilt and quilt
    build dependency.
  * Canonicalise Vcs fields.
  * Drop obsolete README.source.
  * Add intltool to Build-Depends.
  * Add 11_add_x11_libs.patch: explicitly add libX11 to pkg-config's
    search (closes: #556722, #713583).
  * Add 12_drop_gtk1.2_check.patch: remove GLib/GTK+ 1.2 checks to make
    autoreconf possible.
  * Add 13_autotools_fixes.patch: more random autoconf/automake fixes.
  * Add 14_fix_readline_check.patch: fix check for readline which assumed
    ncurses was also required (thanks Sven Joachim; closes: #646743).
  * Add 15_fix_intltool.patch: attempt to do the minimal intltool/gettext
    updates that allow for locale data to be generated and installed again.
  * Add dh_autoreconf support for the above.
  * Bump to Standards-Version 3.9.3, with no further changes.

 -- Jordi Mallach <jordi@debian.org>  Fri, 28 Jun 2013 19:15:30 +0200

xqf (1.0.5-2) unstable; urgency=low

  * Update to debhelper v7.
  * Update menu section to Games/Action.
  * Added a watch file.
  * Build-Depend on just libreadline-dev (instead of versioned versions).
    (closes: #553878).
  * Switch to quilt patch management. Build-Depend on quilt and copy the
    standard quilt README.source.
  * Wrap Build-Depends.
  * Depend on ${misc:Depends}.
  * Really require qstat (>= 2.11).
  * Add a complete copyright notice.
  * Add 03_fix_busy_loop.patch, from SVN, to fix an infinite loop when
    exiting games (closes: #489211).
  * Add 04_cs_steam_applaunch.patch by Jo Shields adapted for 1.0.5 to fix
    handling of Counter Strike games (closes: #355050).
  * Add 05_close_fds.patch, from SVN, to close fds before launching games.
  * Add 10_desktop_file_fixes.patch to remove an obsolte Encoding key.
  * Add 50_spelling_fixes.patch to fix a typo in the sources.
  * Remove empty /usr/lib/xqf directory.
  * Remove useless debian/dirs.
  * Add a Homepage field.
  * Bump Standards-Version to 3.8.3.
  * Throw XQF into collab-maint; add corresponding Vcs fields.

 -- Jordi Mallach <jordi@debian.org>  Tue, 03 Nov 2009 00:26:21 +0100

xqf (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - require qstat (>= 2.11)
    - bump Standards-Version to 3.7.2.0 (no changes needed).
  * debian/patches/01_xpm_segfaults.patch: update for new xpm names
    (closes: #391123).
  * debian/patches/02_ef.xpm.patch: rename stvef.xpm to ef.xpm, and fix
    the relevant include.

 -- Jordi Mallach <jordi@debian.org>  Sat,  4 Nov 2006 19:48:09 +0100

xqf (1.0.4-2) unstable; urgency=medium

  * The "They tried praying first, but it didn't work either" release.
  * debian/control: fix upstream's download URL (closes: #361432).
  * debian/patches/01_xpm_segfault.patch: Fix a segfault on startup by
    avoiding loading XPMs into the executable, and then trying funky
    dlopens to access them. Patch by Lars Wirzenius, who totally doesn't
    believe in black magic (closes: #355045). Additionally, fix references
    to XPM files, which were called using "_" separators instead of "-".
  * debian/rules: install the XPM in /usr/share/xqf.

 -- Jordi Mallach <jordi@debian.org>  Sun,  9 Apr 2006 02:24:47 +0200

xqf (1.0.4-1) unstable; urgency=low

  * New upstream release.
    - includes Russian translation (closes: #240910).
    - fixes German translation (closes: #313871).
  * debian/control:
    - require qstat (>= 2.10).
    - build-dep on libx11-dev instead of xlibs-dev.

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Oct 2005 18:44:30 +0200

xqf (1.0.3-2) unstable; urgency=low

  * debian/control: build-depend on libreadline5-dev | libreadline-dev
    (closes: #326286).

 -- Jordi Mallach <jordi@debian.org>  Fri,  9 Sep 2005 01:39:30 +0200

xqf (1.0.3-1) unstable; urgency=low

  * New upstream release.
    - fixes crashes when changing working directory (closes: #248148).
  * debian/control: require qstat >= 2.8.

 -- Jordi Mallach <jordi@debian.org>  Sat,  9 Apr 2005 16:06:04 +0200

xqf (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: require qstat >= 2.7.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Dec 2004 14:47:21 +0100

xqf (1.0-1) unstable; urgency=low

  * New upstream release!
  * debian/control: require qstat >= 2.6 for support of new games such
    as Doom 3.

 -- Jordi Mallach <jordi@debian.org>  Sun, 15 Aug 2004 15:09:02 +0200

xqf (0.9.14-1) unstable; urgency=low

  * New upstream release.
  * debian/control: build-dep on libxml-parser-perl, as XQF now uses intltool.
  * debian/xqf.xpm: new icon converted from the png version.
  * debian/rules: install the xpm.
  * debian/menu: use a icon with the Debian menu entry (closes: #203133).

 -- Jordi Mallach <jordi@debian.org>  Mon, 22 Mar 2004 12:42:02 +0100

xqf (0.9.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + add build-depends on libgtk2.0-dev and libgeoip-dev.
    + require qstat >= 2.5c-2, which has support for the new games.
    + bump Standards-Version to 3.6.1.0 (no changes required).
    + update the description, XQF now supports GTK1.2 and 2.0.
  * debian/rules:
    + include cdbs rules before the class.
    + configure with GTK2, GeoIP and external rcon support.

 -- Jordi Mallach <jordi@debian.org>  Mon, 24 Nov 2003 15:49:55 +0100

xqf (0.9.12-3) unstable; urgency=low

  * debian/rules: include cdbs makefiles before setting any variable
    (closes: #198246).

 -- Jordi Mallach <jordi@debian.org>  Fri, 20 Jun 2003 23:59:54 +0200

xqf (0.9.12-2) unstable; urgency=low

  * debian/control: add Build-Depends on libgdk-pixbuf-dev, too.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 Jun 2003 14:10:14 +0200

xqf (0.9.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + add cdbs to Build-Depends, bump debhelper to (>= 4.1.0).
    + bump Standards-Version to 3.5.10.0 (no changes required).
  * debian/rules: switch to CDBS-like rules file.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 Jun 2003 12:28:08 +0200

xqf (0.9.11-2) unstable; urgency=low

  * debian/control: add zlib1g-dev to Build-Depends.

 -- Jordi Mallach <jordi@debian.org>  Thu, 19 Dec 2002 14:32:49 +0100

xqf (0.9.11-1) unstable; urgency=low

  * "The Two Towers" release (just came back, and found the fresh tarball).
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Thu, 19 Dec 2002 03:01:42 +0100

xqf (0.9.10-2) unstable; urgency=low

  * debian/rules:
    + pass DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE to configure.
    + symlink config.sub and config.guess to those provided by autotools-dev
      on configure, rm them on clean.
  * debian/control: Build-Depends: autotools-dev.
  * debian/changelog: removed emacs local variables.

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Nov 2002 20:24:09 +0100

xqf (0.9.10-1) unstable; urgency=low

  * New upstream release.
  * debian/Makefile.{am,in}: removed, cruft from old versions.
  * debian/compat: use debhelper version 4.
  * debian/control:
    + add libreadline4-dev to Build-Depends:.
    + bump debhelper Build-Depends: to (>= 4.0.0).
    + Build-Depend: on libglib1.2-dev, not libglib-dev.
    * bump qstat Depends: to (>= 2.5c), to ensure the new features work ok.
    + Standards-Version: 3.5.7.1.
  * debian/docs: add AUTHORS and BUGS.
  * debian/rules:
    + configure with --enable-externalrcon, which creates a console-only
      "xqf-rcon" tool.
    + remove DH_COMPAT definition.
    + add support for "noopt" DEB_BUILD_OPTION, drop "debug".
    + use DESTDIR instead of prefix in install rule.
  * src/rcon.c: fix i18n initialization for xqf-rcon.

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Nov 2002 01:48:27 +0100

xqf (0.9.9-1) unstable; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Fri,  5 Jul 2002 19:38:43 +0200

xqf (0.9.8-1) unstable; urgency=low

  * New upstream release.
    + updates config.{guess,sub}.
    + fixes Gamespy icon
    + removes debian/ directory, woo!
  * debian/rules: removed debian/Makefile stuff from `clean'.

 -- Jordi Mallach <jordi@debian.org>  Mon, 17 Dec 2001 17:28:03 +0100

xqf (0.9.7-2) unstable; urgency=low

  * Updated config.{guess,sub}, they are outdated in the upstream
    tarball again...

 -- Jordi Mallach <jordi@debian.org>  Mon, 17 Dec 2001 01:03:22 +0100

xqf (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + removed Build-Depends: on qstat, not needed at build time anymore.
    + Depend: on qstat 2.4e.
  * debian/rules:
    + cosmetic fixes.
    + hmmph. Remove debian/Makefile in `clean'. Why is this here still!?

 -- Jordi Mallach <jordi@debian.org>  Sun, 16 Dec 2001 15:25:12 +0100

xqf (0.9.6g-3) unstable; urgency=medium

  * po/es.po: fixed var type which made XQF segfault under Spanish
    locale.
  * src/pixmap.c: commented out a free_pixmaps() call which caused
    direct segfaults on startup on powerpc. Thanks michaelw for the
    debugging (closes: #115731).

 -- Jordi Mallach <jordi@debian.org>  Tue, 16 Oct 2001 14:01:50 +0200

xqf (0.9.6g-2) unstable; urgency=low

  * Heh, I knew this would happen. Talking to QuakeForge people, they
    noted bzip2 was not the best idea. It slows XQF's load/quit way
    too much.
  * debian/rules: removed --enable-bzip2 from configure.
  * debian/control:
    + removed bzip2 from Depends.
    + bumped qstat requirement in Depends too, not only Build-Depends.
    + yuck, we need to Build-Depend on gettext now.
  * Ran libtoolize so it builds on hppa.

 -- Jordi Mallach <jordi@debian.org>  Thu, 27 Sep 2001 20:43:16 +0200

xqf (0.9.6g-1) unstable; urgency=low

  * New upstream release.
  * debian/{manpages,xqf.6}: removed, manpage was merged upstream.
  * debian/control: XQF now requires qstat >= 2.4c.
  * debian/rules:
    + commented out dh_installman.
    + remove config.h by hand in `clean'.
    + added /usr/games to PATH, temporary fix for some autobuilders which
      weren't finding quakestat in their path.
  * debian/docs: added NEWS, removed announce/announce-0.9.6f.

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 Sep 2001 12:16:16 +0200

xqf (0.9.6f-2) unstable; urgency=low

  * debian/xqf.6: new manpage for XQF. Submitted upstream, should be
    included in the hopefully near release.
  * debian/control:
    + Standards-Version: 3.5.6.0 (no changes).
    + added Depends: bzip2.
  * debian/manpages: list xqf.6.
  * debian/rules:
    + commented out dh_undocumented, enabled dh_installman.
    + install xqf into /usr/games... I thought I had done this already.
    + call configure with --enable-bzip2. If this slows down XQF too
      much, tell me and I'll undo this.
  * debian/{dirs,menu}: changed paths to xqf.

 -- Jordi Mallach <jordi@debian.org>  Tue, 21 Aug 2001 19:52:04 +0200

xqf (0.9.6f-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + regenerated using dh_make
    + added DEB_BUILD_OPTIONS support
    + DH_COMPAT=3
  * debian/control:
    + Standards-Version: 3.5.2.0 (no changes)
    + added debhelper to Build-Depends
  * debian/control:
    + updated download location
    + added missing upstream authors
  * debian/docs: added TODO and announce.

 -- Jordi Mallach <jordi@debian.org>  Thu, 22 Mar 2001 12:55:29 +0100

xqf (0.9.5-4) unstable; urgency=low

  * New maintainer (closes: #85528).
  * debian/control: extended the package's description a bit, make
    Build-Depends point at libglib1.2-dev, not libglib-dev.

 -- Jordi Mallach <jordi@debian.org>  Wed, 14 Feb 2001 18:51:33 +0100

xqf (0.9.5-3) unstable; urgency=low

  * Let's try this again.  Fixed build depends (closes: bug#84656)
  * I'm looking for a new maintainer.  Anyone interested?

 -- Michael Alan Dorman <mdorman@debian.org>  Sat, 10 Feb 2001 16:40:23 -0500

xqf (0.9.5-2) unstable; urgency=low

  * Doh!  Fixed build depends. (closes: bug#83680)

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 28 Jan 2001 12:06:58 -0500

xqf (0.9.5-1) unstable; urgency=low

  * New upstream release (closes: bug#81399)

 -- Michael Alan Dorman <mdorman@debian.org>  Wed, 10 Jan 2001 16:28:34 -0500

xqf (0.9.4-1) unstable; urgency=low

  * Official Debian upload.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 19 Mar 2000 11:19:47 -0500

xqf (0.9.4-0.1) unstable; urgency=low

  * New upstream version

 -- Roman Pozlevich <roma@botik.ru>  Sat, 19 Feb 2000 14:33:39 +0300

xqf (0.9.3-0.2) unstable; urgency=low

  * Enabled UT support for qstat >= 2.3f

 -- Roman Pozlevich <roma@botik.ru>  Wed, 26 Jan 2000 01:00:42 +0300

xqf (0.9.3-0.1) unstable; urgency=low

  * New upstream version
  * Converted to debhelper

 -- Roman Pozlevich <roma@botik.ru>  Sun,  2 Jan 2000 09:35:10 +0300

xqf (0.8.99-1) unstable; urgency=low closes=27964 31847 26291

  * New upstream release.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 11 Apr 1999 13:42:51 -0400

xqf (0.8.7.2-1) unstable; urgency=low closes=27964 31847 26291

  * New upstream release.
  * Closing old bug (closes: bug#26291)
  * Moved to Games/Arcade in the menu (closes: bug#31847)
  * Subsumed NMU moving qstat to quakestat (closes: bug#27964)

 -- Michael Alan Dorman <mdorman@debian.org>  Fri, 05 Feb 1999 21:46:46 -0400

xqf (0.8.5-2.1) unstable; urgency=low

  * Refer to the qstat binary as quakestat, and conflict with versions of
    the qstat package released before this change was in place.

 -- Roderick Schertler <roderick@argon.org>  Wed, 14 Oct 1998 19:55:26 -0400

xqf (0.8.5-2) unstable; urgency=low

  * Add dependency on qstat

 -- Michael Alan Dorman <mdorman@debian.org>  Sat, 26 Sep 1998 21:46:46 -0400

xqf (0.8.5-1) unstable; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 23 Aug 1998 10:46:09 -0500

xqf (0.8.3-1) frozen; urgency=low

  * New upstream version.
  * Now appears in the menu

 -- Michael Alan Dorman <mdorman@debian.org>  Tue,  4 Aug 1998 10:46:09 -0500

xqf (0.8-1) frozen; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@debian.org>  Thu,  4 Jun 1998 10:46:09 -0500

xqf (0.7-1) frozen; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@debian.org>  Fri,  1 May 1998 10:46:09 -0500

xqf (0.6.2-1) frozen; urgency=low

  * New upstream version.
  * Compiles with latest gtk+.

 -- Michael Alan Dorman <mdorman@debian.org>  Tue, 24 Mar 1998 10:46:09 -0500

xqf (0.6.1-1) unstable; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 16 Mar 1998 10:46:09 -0500

xqf (0.5-1) unstable; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 23 Feb 1998 10:46:09 -0500

xqf (0.4-1) unstable; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@debian.org>  Wed, 11 Feb 1998 10:46:09 -0500

xqf (0.3-1) unstable; urgency=low

  * Initial Debianization.

 -- Michael Alan Dorman <mdorman@debian.org>  Fri, 30 Jan 1988 12:27:41 -0500
